Move companies between lists
curl --request POST \
--url https://openapi.enginy.ai/v1/lists/{fromListId}/companies/move \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"toListId": 123,
"companyIds": [
123
]
}
'import requests
url = "https://openapi.enginy.ai/v1/lists/{fromListId}/companies/move"
payload = {
"toListId": 123,
"companyIds": [123]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({toListId: 123, companyIds: [123]})
};
fetch('https://openapi.enginy.ai/v1/lists/{fromListId}/companies/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "<string>",
"data": {
"sourceListAppUrl": "<string>",
"destinationListAppUrl": "<string>",
"requestedCount": 123,
"removedFromSourceCount": 123,
"addedToDestinationCount": 123,
"notInSourceCount": 123,
"alreadyInDestinationCount": 123
}
}Lists
Move companies between lists
Move companies between lists.
Responses include direct Enginy app URLs when available. The response includes sourceListAppUrl and destinationListAppUrl. MCP agents should return those URLs to users whenever they are present in the response.
Required scope:
LISTS_WRITERate limit: 30 requests per minute
POST
/
v1
/
lists
/
{fromListId}
/
companies
/
move
Move companies between lists
Authorizations
Path Parameters
The source list ID
Body
application/json
⌘I